X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

My Firefox doesn't recognize it being upgraded. It still thinks that its version is 3.5 even though I've been updating and upgrading it regularly, and now have v9.0.1. installed. Why does this happen?

Posted

I've tried everything possible to sort this out myself. Nothing helps. Installing, reinstalling, upgrading... (even disabling all the add-ons) ...my Firefox still believes that it hasn't been updated since v 3.5.5 (even though in About Firefox the version states to be 9.0.1). Here is the picture evidence of the problem: Picture showing Firefox version in Help menu as opposed to version recognised here

Please help, this is a major issue for me. I really like Firefox and I'd hate to be forced to install some other browser. Thanks for any help solving this issue.

Modified by Queen of Black Hearts

Chosen solution

Your user agent is corrupted by Fast Browser Search (FBSMTWB) and that identifies you as Firefox/3.5.5

see your user agent:

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.1.5) Gecko/20091102 Firefox/3.5.5 GTB5 (.NET CLR 3.5.30729) FBSMTWB TTLSkins

you must reset user agent

see also these pages and threads about Fast Browser Search (FBSMTWB in the user agent).

http://help.fastbrowsersearch.com/

http://www.pccybertek.com/2009/05/remove-fast-browser-search


thank you

Please mark "Solved" the answer that really solve the problem, to help others with a similar problem.

Read this answer in context 3

Additional System Details

This happened

Every time Firefox opened

This started when...

Not sure. For quite a while now.

Installed Plug-ins

  • Adobe PDF Plug-In For Firefox and Netscape 10.1.2
  • DivX Plus Web Player version 2.2.0.52
  • Shockwave Flash 11.1 r102
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Next Generation Java Plug-in 1.6.0_30 for Mozilla browsers
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Google Update
  • GEPlugin
  • Version 1.1.11, copyright 1996-2011 The VideoLAN Teamhttp://www.videolan.org/
  • DivX VOD Helper Plug-in
  • Provides additional functionality on Facebook. See our web site for details.
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • DRM Netscape Network Object
  • DRM Store Netscape Plugin
  • Npdsplay dll
  • Office Plugin for Netscape Navigator

Application

  • User Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.1.5) Gecko/20091102 Firefox/3.5.5 GTB5 (.NET CLR 3.5.30729) FBSMTWB TTLSkins

More Information

Nothing applies. I.e. no info on this kind of errors.

ideato
  • Top 25 Contributor
617 solutions 4263 answers

Chosen Solution

Your user agent is corrupted by Fast Browser Search (FBSMTWB) and that identifies you as Firefox/3.5.5

see your user agent:

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.1.5) Gecko/20091102 Firefox/3.5.5 GTB5 (.NET CLR 3.5.30729) FBSMTWB TTLSkins

you must reset user agent

see also these pages and threads about Fast Browser Search (FBSMTWB in the user agent).

http://help.fastbrowsersearch.com/

http://www.pccybertek.com/2009/05/remove-fast-browser-search


thank you

Please mark "Solved" the answer that really solve the problem, to help others with a similar problem.

Question owner

Thanks a lot! That worked like a charm! (Just reseting the agent thing). Fast Browser Search I did not have in the first place. But life is good, again! Thanks XXX

Modified by Queen of Black Hearts